# Context-Aware Access Audit Activity Events

This document lists the events and parameters for
various types of
Context-Aware Access Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=context_aware_access`.

## Context-Aware Access User Event


Short description of audit log event type Context-Aware Access user event.
Events of this type are returned with `type=CONTEXT_AWARE_ACCESS_USER_EVENT`.

### Access Denied

Event name of access deny event.

| Event details ||
|---|---|
| Event name | `ACCESS_DENY_EVENT` |
| Parameters | |---|---| | `BLOCKED_API_ACCESS` | `string` Display name of Blocked API access. | | `CAA_ACCESS_LEVEL_APPLIED` | `string` Display name of Access level applied. | | `CAA_ACCESS_LEVEL_SATISFIED` | `string` Display name of Access level satisfied. | | `CAA_ACCESS_LEVEL_UNSATISFIED` | `string` Display name of Access level unsatisfied. | | `CAA_APPLICATION` | `string` Display name of Application. | | `CAA_DEVICE_ID` | `string` Display name of Device Id. | | `CAA_DEVICE_STATE` | `string` Display name of Device State. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/context_aware_access?eventName=ACCESS_DENY_EVENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{USER_NAME} access denied` |

### Access Denied Internal Error

Event name of access denied internal error event.

| Event details ||
|---|---|
| Event name | `ACCESS_DENY_INTERNAL_ERROR_EVENT` |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/context_aware_access?eventName=ACCESS_DENY_INTERNAL_ERROR_EVENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{USER_NAME} access denied internal error` |